Server
https://api.yoti.com/idverify/v1

Production Base URL

https://api.yoti.com/sandbox/idverify/v1

Sandbox Base URL

Server Variables

Signed request performed by back-end SDKs that includes a X-Yoti-Auth-Digest.

Generate signed request Yoti API endpoints are authenticated through signed requests. To create a signed request:

  1. Concatenate the following elements using the '&' character:

    • HTTP method
    • Path
    • Query string (enriched with a timestamp and a nonce parameter)
    • Base64 encoded request body (if available)
  2. Apply SHA256withRSA to the resulting string, using your PEM private key generated from the Yoti Hub.

  3. Base64 encode the result from step 2.

Example GET request:

GET&/sessions?sdkId=b88ad843-13cc-44ba-a3e0-053f71d89b1f&nonce=b88ad843-13cc-44ba-a3e0-053f71d89b1f&timestamp=1480509893

Example POST request:

POST&/sessions?sdkId=b88ad843-13cc-44ba-a3e0-053f71d89b1f&nonce=b88ad843-13cc-44ba-a3e0-053f71d89b1f&timestamp=1480509893&ew0KImlkIiA6IDEsDQoibmFtZSIgOiBpdGVtDQoNCn0=

Parameters:

  • SDK ID: UUID generated when producing your Yoti keys
  • nonce: UUID strings
  • Timestamp: UNIX timestamps (number of elapsed seconds since Jan 1st 1970)

Fields
KeyIn
X-Yoti-Auth-DigestHeader

Get all the supported documents

Auth
Query String
includeNonLatinboolean

Controls whether or not the documents returned should include non-latin documents

Default: false

GET /supported-documents
Copy
Responses
200

OK

objectobject
supported_countriesarray[object]
codestring
supported_documentsarray[object]
typestring
is_strictly_latinboolean
requirementsobject
date_fromstring
Response
Copy

Create a new session

Auth
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

Request Body
objectobject

Create Session Payload

client_session_token_ttlinteger

Number of seconds for the user to complete the whole flow.

Default: 600

session_deadlinestring

The point-in-time by which the user must complete the whole flow. Expressed as a date, time and time-zone in RFC3339 format. This field may not be used with a client_session_token_ttl field.

resources_ttlinteger

Retention period for uploaded documents/images in number of seconds.

minimum: 86700

Default: 87000

ttlinteger

Retention period for a generated import_token, in seconds

user_tracking_idstring

Allows to track the same user across multiple sessions. Should not contain any personal identifiable information.

block_biometric_consentboolean

Allows the relying business to block the collection of biometric consent

Default: false

notificationsobject
endpointstring

POST endpoint required. Update notifications are sent to this endpoint based on the selected subscription topics

pattern: ^https://.+$

topicsarray[string]

Enum: RESOURCE_UPDATE,TASK_COMPLETION,CHECK_COMPLETION,SESSION_COMPLETION,NEW_PDF_SUPPLIED,INSTRUCTIONS_EMAIL_REQUESTED,CLIENT_SESSION_TOKEN_DELETED,THANK_YOU_EMAIL_REQUESTED

auth_tokenstring

If provided, Yoti will send this as a base64 encoded value for the Authorization header in the notifications

auth_typestring

Determines the type of auth header to include in outbound notifications. Defaults to BASIC

Enum: BASIC,BEARER

requested_checks

Mutually exclusive with identity_profile_requirements

objectobject
typestring

Enum: ID_DOCUMENT_AUTHENTICITY

configobject
manual_checkstring

The values IBV is not permitted, although it is permitted for some other types of check

Enum: NEVER,FALLBACK,ALWAYS

issuing_authority_sub_checkobject
requestedboolean
filter
objectobject
typestring

Enum: ORTHOGONAL_RESTRICTIONS

allow_non_latin_documentsboolean
allow_expired_documentsboolean
country_restrictionobject
inclusionstring

Acceptable values are (case-insensitive): [INCLUDE, EXCLUDE]. WHITELIST and BLACKLIST are deprecated, but are still accepted and mapped to INCLUDE or EXCLUDE

Enum: INCLUDE,EXCLUDE

country_codesarray[string]
type_restrictionobject
inclusionstring

Acceptable values are (case-insensitive): [INCLUDE, EXCLUDE]. WHITELIST and BLACKLIST are deprecated, but are still accepted and mapped to INCLUDE or EXCLUDE

Enum: INCLUDE,EXCLUDE

document_typesarray[string]
requested_tasks

Mutually exclusive with identity_profile_requirements

objectobject
typestring

Enum: ID_DOCUMENT_TEXT_DATA_EXTRACTION

configobject
manual_checkstring

Acceptable values vary for each check type, but may be one of: [NEVER, FALLBACK, ALWAYS]

Enum: NEVER,FALLBACK,ALWAYS

chip_datastring

Enum: DESIRED,IGNORE

required_documents

Allows the Relying Business to require multiple documents and filter the list of allowable document countries/types. Mutually exclusive with identity_profile_requirements

objectobject
typestring

Enum: ID_DOCUMENT

filter

Any filters that results in an empty list of allowed documents will be rejected

objectobject
typestring

Enum: ORTHOGONAL_RESTRICTIONS

allow_non_latin_documentsboolean
allow_expired_documentsboolean
country_restrictionobject
inclusionstring

Acceptable values are (case-insensitive): [INCLUDE, EXCLUDE]. WHITELIST and BLACKLIST are deprecated, but are still accepted and mapped to INCLUDE or EXCLUDE

Enum: INCLUDE,EXCLUDE

country_codesarray[string]
type_restrictionobject
inclusionstring

Acceptable values are (case-insensitive): [INCLUDE, EXCLUDE]. WHITELIST and BLACKLIST are deprecated, but are still accepted and mapped to INCLUDE or EXCLUDE

Enum: INCLUDE,EXCLUDE

document_typesarray[string]
sdk_configobject
allowed_capture_methodsstring

Acceptable values are (case-insensitive): [CAMERA_AND_UPLOAD, CAMERA]

Enum: CAMERA_AND_UPLOAD,CAMERA

primary_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

secondary_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

font_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

localestring

pattern: ^(?!\s*$).+

preset_issuing_countrystring
success_urlstring
error_urlstring
privacy_policy_urlstring
attempts_configurationobject

Allows the relying business to specify the number of retries allowed for certain scenarios.

ID_DOCUMENT_TEXT_DATA_EXTRACTIONobject

Retry configuration for ID document text extraction tasks. This is treated as a map, and so keys are subject to change

*integer
allow_handoffboolean

Allows the relying business to enable/disable handoff functionality (normally defaults to false, but some orgs are defaulted to true in the env configs)

Default: false

POST /sessions
Copy
Responses
201

Session created

objectobject

Create Session Response Body

client_session_token_ttlinteger

remaining time the user has to complete the session

client_session_tokenuuid

client token to be used for auth of any calls made by client for this session

sessionIduuid
400

Payload validation error or malformed request

401

Unauthorised request (wrong key or signature)

403

Unauthorised request (app is disabled or has no associated organisation_id)

404

The application for provided sdk id does not exist

503

The service is unavailable

Response
Copy

Retrieve the entire Session

Auth
Path Params
sessionIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

GET /sessions/{sessionId}
Copy
Responses
200

OK

objectobject
sessionIduuid
client_session_token_ttlinteger

remaining time the user has to complete the session

import_tokenobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

failure_reasonstring
user_tracking_idstring
biometric_consentdate-time
statestring

The current state of the session

Enum: ONGOING,COMPLETED,EXPIRED

client_session_tokenuuid

client token to be used for auth of any calls made by client for this session

resourcesobject
id_documentsarray[object]
iduuid
sourceobject
typestring

Enum: END_USER,RELYING_BUSINESS

document_typestring
issuing_countrystring
pagesarray[object]
capture_methodstring

Acceptable values are (case-insensitive): [CAMERA, UPLOAD]

Enum: CAMERA,UPLOAD

mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

framesarray[object]

The frames for page media.

mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

document_fieldsobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

document_id_photoobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

created_atdate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

tasksarray
iduuid
statestring

Enum: DONE,PENDING,CREATED,FAILED

createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

generated_mediaarray[object]
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

generated_checksarray[object]
iduuid
typestring

Enum: ID_DOCUMENT_TEXT_DATA_CHECK,SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECK

typestring

Enum: ID_DOCUMENT_TEXT_DATA_EXTRACTION

supplementary_documentsarray[object]
iduuid
sourceobject
typestring

Enum: END_USER,RELYING_BUSINESS

document_typestring
issuing_countrystring
fileobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

pagesarray[object]
capture_methodstring

Acceptable values are (case-insensitive): [CAMERA, UPLOAD]

Enum: CAMERA,UPLOAD

mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

framesarray[object]

The frames for page media.

mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

document_fieldsobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

created_atdate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

tasksarray
iduuid
statestring

Enum: DONE,PENDING,CREATED,FAILED

createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

generated_mediaarray[object]
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

generated_checksarray[object]
iduuid
typestring

Enum: ID_DOCUMENT_TEXT_DATA_CHECK,SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECK

typestring

Enum: SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTION

liveness_capturearray[object]
iduuid
sourceobject
typestring

Enum: END_USER,RELYING_BUSINESS

liveness_typestring

Enum: STATIC,ZOOM

facemapobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

framesarray[object]

The frames (images) for a Zoom liveness capture. first frame should always have media in a completed liveness resource. The first three frames should always have media in a completed zoom liveness resource. Media might be null for frames 4-7

mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

created_atdate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

tasksarray[object]
imageobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

face_capturearray[object]
iduuid
sourceobject
typestring

Enum: END_USER,RELYING_BUSINESS

imageobject
mediaobject
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

created_atdate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

tasksarray[object]
checks
objectobject
iduuid
typestring

Enum: ID_DOCUMENT_AUTHENTICITY

statestring

The current state of the Check

Enum: CREATED,READY,PENDING,DONE,INTERNAL_ERROR

resources_usedarray[string]
generated_mediaarray[object]
iduuid
typestring

Enum: IMAGE,JSON,BINARY,PDF

reportobject
recommendationobject
valuestring

Enum: APPROVE,REJECT,NOT_AVAILABLE,CONSIDER

reasonstring

must be preset if 'value' is 'REJECT'

recovery_suggestionstring

must be present if 'value' is 'REJECT'

breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

Session or App not found

Response
Copy

Delete the session and everything associated with it

Auth
Path Params
sessionIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

DELETE /sessions/{sessionId}
Copy
Responses
204

Session deleted

No response body
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

App not found

409

The checks are not finished

Response
Copy

Retrieve media content

Retrieves a specific media

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
mediaIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

GET /sessions/{sessionId}/media/{mediaId}/content
Copy
Responses
200

OK. Response body depends on Content-Type of the media

No response body
204

OK. Regulations prevent us from returning the media content

400

Bad Request

401

Unauthorised request (wrong key or signature)

404

Session, Media or App not found

Response
Copy

Delete media content

Deletes a specific media content

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
mediaIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

DELETE /sessions/{sessionId}/media/{mediaId}/content
Copy
Responses
204

No content

No response body
400

Bad Request

401

Unauthorised request (wrong key or signature)

404

Session, Media or App not found

409

Session is locked (session in progress before triggering checks) or Resource is locked (session in progress with checks triggered)

Response
Copy

Fetch the configuration for a specified sdk application ID

Auth
Path Params
sdkIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

GET /apps/{sdkId}/response-config
Copy
Responses
200

OK

objectobject

Configuration Response

task_resultsobject
ID_DOCUMENT_TEXT_DATA_EXTRACTIONarray
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTIONarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
check_reportsobject
ID_DOCUMENT_AUTHENTICITYarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
ID_DOCUMENT_FACE_MATCHarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
LIVENESSarray[object]
liveness_typestring
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_COMPARISONarray[object]
secondary_document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
THIRD_PARTY_IDENTITYobject
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
async_report_delayinteger
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

App not found

Response
Copy

Update the configuration for a specified sdk application ID

Auth
Path Params
sdkIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

Request Body
objectobject

Configuration Payload

task_resultsobject

Task Results Payload

ID_DOCUMENT_TEXT_DATA_EXTRACTIONarray
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTIONarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
check_reportsobject
ID_DOCUMENT_AUTHENTICITYarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
ID_DOCUMENT_FACE_MATCHarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
LIVENESSarray[object]
liveness_typestring
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
THIRD_PARTY_IDENTITYobject
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_COMPARISONarray[object]
secondary_document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
async_report_delayinteger
PUT /apps/{sdkId}/response-config
Copy
Responses
200

Updated configuration successfully

No response body
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

403

Unauthorised request (app is disabled or has no associated organisation_id)

404

App not found

503

The service is unavailable

Response
Copy

Get the configured config for a specified session ID

Auth
Path Params
sessionIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

GET /sessions/{sessionId}/response-config
Copy
Responses
200

OK

objectobject

Configuration Response

task_resultsobject
ID_DOCUMENT_TEXT_DATA_EXTRACTIONarray
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTIONarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
check_reportsobject
ID_DOCUMENT_AUTHENTICITYarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
ID_DOCUMENT_FACE_MATCHarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
LIVENESSarray[object]
liveness_typestring
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_COMPARISONarray[object]
secondary_document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
THIRD_PARTY_IDENTITYobject
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
async_report_delayinteger
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

Session or App not found

Response
Copy

Update the configuration for a specified session ID

Auth
Path Params
sessionIdstring
Query String
sdkIdstring

Required if using a Signed Request as the authentication scheme

timestampstring

Required if using a Signed Request as the authentication scheme

noncestring

Required if using a Signed Request as the authentication scheme

Request Body
objectobject

Configuration Payload

task_resultsobject

Task Results Payload

ID_DOCUMENT_TEXT_DATA_EXTRACTIONarray
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTIONarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
document_fieldsobject
detected_countrystring

The detected country of origin for the identity document. Must be a 3 letter ISO code in uppercase

recommendationobject

Provide in-session feedback

valuestring

Enum: PROGRESS,MUST_TRY_AGAIN,SHOULD_TRY_AGAIN

reasonobject

Provide in-session feedback reason

valuestring

Enum: QUALITY,USER_ERROR,ERROR

detailstring
check_reportsobject
ID_DOCUMENT_AUTHENTICITYarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECKarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
document_fieldsobject
ID_DOCUMENT_FACE_MATCHarray[object]
document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
LIVENESSarray[object]
liveness_typestring
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
THIRD_PARTY_IDENTITYobject
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
ID_DOCUMENT_COMPARISONarray[object]
secondary_document_filterobject
country_codesarray[string]
document_typesarray[string]
resultobject
reportobject
recommendationobject
valuestring
reasonstring
recovery_suggestionstring
breakdownarray[object]
sub_checkstring
resultstring

Enum: PASS,FAIL

detailsarray[object]
async_report_delayinteger
PUT /sessions/{sessionId}/response-config
Copy
Responses
200

Updated configuration successfully

No response body
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

403

Unauthorised request (app is disabled or has no associated organisation_id)

404

App not found

503

The service is unavailable

Response
Copy